%global eclipse_base	%{_libdir}/eclipse
%global install_loc		%{_datadir}/eclipse/dropins/wtp-sourceediting

Name:			eclipse-wtp-sourceediting
Version:		3.4.0
Release:		1%{?dist}
Summary:		WTP Source Editing

Group:			Development/Tools
License:		EPL
URL:			http://www.eclipse.org/projects/project.php?id=webtools.sourceediting

Source0:		%{name}-R%{version}.tar.gz

BuildArch: noarch

Patch1:			xml-core-feature.patch
Patch2:			xml-core.patch
Patch3:			fix-jsdt.patch
Patch4:			%{name}-wst.xsl-rm-commons.logging-version-check.patch

BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: eclipse-platform >= 1:3.7.0
BuildRequires: eclipse-pde >= 1:3.7.0
BuildRequires: eclipse-emf >= 2.6.0
BuildRequires: eclipse-emf-xsd >= 2.6.0
BuildRequires: eclipse-emf-core >= 2.8.0
BuildRequires: eclipse-gef >= 3.7.0
BuildRequires: eclipse-wtp-common >= 3.4.0
BuildRequires: eclipse-rcp >= 4.2.0
BuildRequires: eclipse-swt >= 4.2.0
BuildRequires: eclipse-jdt >= 4.2.0
BuildRequires: icu4j-eclipse >= 1:4.4.2.2

BuildRequires: ant >= 1.8.3
BuildRequires: xerces-j2 >= 2.11.0
BuildRequires: xalan-j2 >= 2.7.1-10
BuildRequires: xml-commons-apis >= 1.3.4
BuildRequires: xml-commons-resolver >= 1.2
BuildRequires: rhino >= 1.7-0.9.r2
BuildRequires: java_cup >= 1:0.11a-8
BuildRequires: bcel >= 5.1-11
BuildRequires: glassfish-jsp-api >= 2.2.1
BuildRequires: apache-commons-logging >= 1.1.1
BuildRequires: log4j >= 1.2.17-2

Requires: java
Requires: jpackage-utils

Requires: eclipse-platform >= 1:3.7.0
Requires: eclipse-emf >= 2.6.0
Requires: eclipse-emf-xsd >= 2.6.0
Requires: eclipse-emf-core >= 2.8.0
Requires: eclipse-gef >= 3.7.0
Requires: eclipse-wtp-common >= 3.4.0
Requires: eclipse-rcp >= 4.2.0
Requires: eclipse-swt >= 4.2.0
Requires: eclipse-jdt >= 4.2.0
Requires: icu4j-eclipse >= 1:4.4.2.2

Requires: ant >= 1.8.3
Requires: xerces-j2 >= 2.11.0
Requires: xalan-j2 >= 2.7.1-10
Requires: xml-commons-apis >= 1.3.4
Requires: xml-commons-resolver >= 1.2
Requires: rhino >= 1.7-0.9.r2
Requires: java_cup >= 1:0.11a-8
Requires: bcel >= 5.1-11
Requires: glassfish-jsp-api >= 2.2.1
Requires: log4j >= 1.2.17-2


%description
WTP Source editing tools provide support for editing typical "web" languages
and the mixing of them. XML, XML Schema, XSL, HTML, CSS, DTD, and JSP   
resources, as well as an XML Perspective.

%prep
%setup -q -n eclipse-wtp-sourceediting-R%{version}

#Orbit links
rm -rf orbit
mkdir orbit
pushd orbit
%{__ln_s} %{_javadir}/xalan-j2-serializer.jar
%{__ln_s} %{_javadir}/xalan-j2.jar
%{__ln_s} %{_javadir}/xerces-j2.jar
%{__ln_s} %{_javadir}/xml-commons-apis.jar
%{__ln_s} %{_javadir}/xml-resolver.jar
%{__ln_s} %{_javadir}/rhino.jar
%{__ln_s} %{_javadir}/apache-commons-discovery.jar
%{__ln_s} %{_javadir}/apache-commons-logging.jar
%{__ln_s} %{_javadir}/bcel.jar
%{__ln_s} %{_javadir}/java_cup-runtime.jar
%{__ln_s} %{_javadir}/log4j.jar
popd

#Patch XML_CORE feature.xml xerces version
%patch1

#Patch XML_CORE XMLValidator.java for Xerces new version
%patch2

#Add dependency to jsdt (it needs the xml_ui to be built first_
%patch3

#Remove old version check for org.apache.commons.logging
%patch4

#Remove license attributes from feature.xml
find -name feature.xml -exec sed -i -e 's/license-feature.*"//' '{}' \;

%build
eclipse-pdebuild -f org.eclipse.wst.web_ui.feature \
	-d "xsd emf gef eclipse-wtp-common" \
	-o `pwd`/orbit

eclipse-pdebuild -f org.eclipse.wst.xsl.feature \
	-d "xsd emf gef eclipse-wtp-common" \
	-o `pwd`/orbit


%install
install -d -m 755 %{buildroot}%{install_loc}

%{__unzip} -q -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.wst.web_ui.feature.zip
%{__unzip} -q -o -d %{buildroot}%{install_loc} \
     build/rpmBuild/org.eclipse.wst.xsl.feature.zip

#Recreate symlinks & remove duplicate jars
pushd %{buildroot}%{install_loc}/eclipse/plugins
rm -f org.apache.xml.serializer*.jar
rm -f org.apache.xerces*.jar
rm -f javax.xml*.jar
rm -f org.apache.xml.resolver*.jar
rm -f org.mozilla.javascript*.jar
rm -f java_cup.runtime_*.jar
rm -f org.apache.bcel_*.jar
rm -f org.apache.commons.logging_*.jar
rm -f org.apache.xalan_*.jar
rm -f org.apache.log4j_*.jar

#Remove duplicates because of improper including
rm -f org.eclipse.jem.util*.jar
rm -f org.eclipse.wst.common.*.jar
rm -f org.eclipse.wst.internet.cache_*.jar
rm -f org.eclipse.wst.validation_*.jar
rm -f org.eclipse.wst.validation.infopop_*.jar
rm -f org.eclipse.wst.validation.ui_*.jar

%{__ln_s} %{_javadir}/xalan-j2-serializer.jar
%{__ln_s} %{_javadir}/xerces-j2.jar
%{__ln_s} %{_javadir}/xml-commons-apis.jar
%{__ln_s} %{_javadir}/xml-resolver.jar
%{__ln_s} %{_javadir}/rhino.jar
%{__ln_s} %{_javadir}/java_cup-runtime.jar
%{__ln_s} %{_javadir}/bcel.jar
%{__ln_s} %{_javadir}/apache-commons-logging.jar
%{__ln_s} %{_javadir}/xalan-j2.jar
%{__ln_s} %{_javadir}/log4j.jar

popd

%files
%{install_loc}
%doc org.eclipse.wst.doc.user/about.html

%changelog
* Thu Jul 12 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.4.0-1
- Update to latest upstream.

* Sun Jun 24 2012 Gerard Ryan <galileo@fedoraproject.org> 3.4.0-0.2.M6
- Include org.eclipse.wst.xsl.feature.

* Fri Apr 27 2012 Krzysztof Daniel <kdaniel@redhat.com> 3.4.0-0.1.M6
- Update to latest upstream revision (3.4.0 post M6)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Oct 16 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.1-1
- Update to upstream 3.3.1 

* Mon Sep 19 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.0-3
- Fixed description length
- Fixed doc file permissions in fetch-wtp-sourceediting.sh

* Thu Sep 15 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.0-2
- Fixed PDE Build Eclipse plugin dependencies

* Tue Sep 13 2011 Vladimir Kostadinov <vladimir.kostadinov@gmail.com> 3.3.0-1
- Initial Fedora package
